Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPointList

All Known Implementing Classes:
  AbstractSVGPointList

public interface SVGPointList

Method Summary
`SVGPoint` | `appendItem(SVGPoint newItem)`
`void` | `clear()`
`SVGPoint` | `getItem(int index)`
`int` | `getNumberOfItems()`
`SVGPoint` | `initialize(SVGPoint newItem)`
`SVGPoint` | `insertItemBefore(SVGPoint newItem, int index)`
`SVGPoint` | `removeItem(int index)`
`SVGPoint` | `replaceItem(SVGPoint newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### initialize

    public SVGPoint initialize(SVGPoint newItem)
                        throws org.w3c.dom.DOMException,
                               SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGPoint getItem(int index)
                     throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGPoint insertItemBefore(SVGPoint newItem,
                                     int index)
                              throws org.w3c.dom.DOMException,
                                     SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGPoint replaceItem(SVGPoint newItem,
                                int index)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGPoint removeItem(int index)
                        throws org.w3c.dom.DOMException

  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGPoint appendItem(SVGPoint newItem)
                        throws org.w3c.dom.DOMException,
                               SVGException

  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.